Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List all versions of a custom processor, ordered by version descending.
Python
import requests url = "https://www.datalab.to/api/v1/custom_pipelines/{processor_id}/versions" headers = {"X-API-Key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
curl --request GET \ --url https://www.datalab.to/api/v1/custom_pipelines/{processor_id}/versions \ --header 'X-API-Key: <api-key>'
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};fetch('https://www.datalab.to/api/v1/custom_pipelines/{processor_id}/versions', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://www.datalab.to/api/v1/custom_pipelines/{processor_id}/versions" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-Key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
{ "versions": [ { "version": 123, "request_description": "<string>", "created_at": "<string>", "runtime": 123, "is_active": false } ] }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ]}
Successful Response
Response schema for listing processor versions.
List of processor versions
Show child attributes
Was this page helpful?